Storage Resource Manager Validate Storage Pod Config

Storage Resource Manager Validate Storage Pod Config
Validate the new storage DRS configuration for a pod *StoragePod*.

Validate the new storage DRS configuration for a pod StoragePod.

If validation fails, it will return with InvalidArgument fault.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/StorageResourceManager/{moId}/ValidateStoragePodConfig
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case StorageResourceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ValidateStoragePodConfigRequestType of type(s) application/json
Required

Show optional properties

{
    "pod": {},
    "spec": {}
}
{
    "pod": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "spec": {
        "_typeName": "string",
        "podConfigSpec": {
            "_typeName": "string",
            "enabled": false,
            "ioLoadBalanceEnabled": false,
            "defaultVmBehavior": "string",
            "loadBalanceInterval": 0,
            "defaultIntraVmAffinity": false,
            "spaceLoadBalanceConfig": {
                "_typeName": "string",
                "spaceThresholdMode": "string",
                "spaceUtilizationThreshold": 0,
                "freeSpaceThresholdGB": 0,
                "minSpaceUtilizationDifference": 0
            },
            "ioLoadBalanceConfig": {
                "_typeName": "string",
                "reservablePercentThreshold": 0,
                "reservableIopsThreshold": 0,
                "reservableThresholdMode": "string",
                "ioLatencyThreshold": 0,
                "ioLoadImbalanceThreshold": 0
            },
            "automationOverrides": {
                "_typeName": "string",
                "spaceLoadBalanceAutomationMode": "string",
                "ioLoadBalanceAutomationMode": "string",
                "ruleEnforcementAutomationMode": "string",
                "policyEnforcementAutomationMode": "string",
                "vmEvacuationAutomationMode": "string"
            },
            "rule": [
                {
                    "_typeName": "string",
                    "operation": "string",
                    "removeKey": {
                        "_typeName": "string"
                    },
                    "info": {
                        "_typeName": "string",
                        "key": 0,
                        "status": "string",
                        "enabled": false,
                        "name": "string",
                        "mandatory": false,
                        "userCreated": false,
                        "inCompliance": false,
                        "ruleUuid": "string"
                    }
                }
            ],
            "option": [
                {
                    "_typeName": "string",
                    "operation": "string",
                    "removeKey": {
                        "_typeName": "string"
                    },
                    "option": {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                }
            ]
        },
        "vmConfigSpec": [
            {
                "_typeName": "string",
                "operation": "string",
                "removeKey": {
                    "_typeName": "string"
                },
                "info": {
                    "_typeName": "string",
                    "vm": {
                        "_typeName": "string",
                        "type": "string",
                        "value": "string"
                    },
                    "enabled": false,
                    "behavior": "string",
                    "intraVmAffinity": false,
                    "intraVmAntiAffinity": {
                        "_typeName": "string",
                        "key": 0,
                        "status": "string",
                        "enabled": false,
                        "name": "string",
                        "mandatory": false,
                        "userCreated": false,
                        "inCompliance": false,
                        "ruleUuid": "string",
                        "diskId": [
                            0
                        ]
                    },
                    "virtualDiskRules": [
                        {
                            "_typeName": "string",
                            "key": 0,
                            "status": "string",
                            "enabled": false,
                            "name": "string",
                            "mandatory": false,
                            "userCreated": false,
                            "inCompliance": false,
                            "ruleUuid": "string",
                            "diskRuleType": "string",
                            "diskId": [
                                0
                            ]
                        }
                    ]
                }
            }
        ]
    }
}
pod
Required

The storage pod.

spec
Required

A set of storage Drs configuration changes to apply to the storage pod.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"pod":"{}","spec":"{}"}' https://{api_host}/sdk/vim25/{release}/StorageResourceManager/{moId}/ValidateStoragePodConfig